Package net.sf.saxon.style

## Class TextValueTemplateNode

- java.lang.Object
- - net.sf.saxon.tree.linked.NodeImpl
  - - net.sf.saxon.tree.linked.TextImpl
    - - net.sf.saxon.style.TextValueTemplateNode

- All Implemented Interfaces:
    `javax.xml.transform.Source`, `javax.xml.transform.SourceLocator`, `GroundedValue`, `Item`, `MutableNodeInfo`, `NodeInfo`, `Sequence`, `Location`, `SteppingNode<NodeImpl>`, `SiblingCountingNode`, `org.xml.sax.Locator`

      public class TextValueTemplateNode
      extends TextImpl

  A text node in an XSLT 3.0 stylesheet that may or may not contain a text value template

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.linked.NodeImpl

      `NODE_LETTER`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `IS_DTD_TYPE, IS_NILLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextValueTemplateNode​(java.lang.String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `getContentExpression()` |
    `TextValueTemplateContext` | `getStaticContext()` |
    `void` | `parse()` | Parse any XPath expressions contained in the content of the text value template
    `void` | `validate()` | Validate the text node; specifically, perform type checking of any contained expressions

    - ### Methods inherited from class net.sf.saxon.tree.linked.TextImpl

      `appendStringValue, copy, getNodeKind, getStringValue, replaceStringValue`

    - ### Methods inherited from class net.sf.saxon.tree.linked.NodeImpl

      `addAttribute, addNamespace, atomize, attributes, compareOrder, delete, effectiveBooleanValue, equals, generateId, getAllNamespaces, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getFingerprint, getFirstChild, getLastChild, getLineNumber, getLocalPart, getNamePool, getNextInDocument, getNextSibling, getNodeName, getParent, getPhysicalRoot, getPrefix, getPreviousInDocument, getPreviousSibling, getRawParent, getRoot, getSchemaType, getSequenceNumber, getSiblingPosition, getStringValueCS, getSuccessorElement, getSystemId, getTreeInfo, getURI, hasChildNodes, hasFingerprint, head, insertChildren, insertSiblings, isDeleted, iterateAxis, iterateAxis, newBuilder, removeAttribute, removeTypeAnnotation, rename, replace, saveLocation, setAttributes, setRawParent, setSiblingPosition, setSystemId, setTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.MutableNodeInfo

      `addNamespace, removeNamespace`

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `children, children, equals, getGenre, getPublicId, hashCode, isId, isIdref, isNilled, isSameNodeInfo, isStreamed, toShortString`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

    - ### Methods inherited from interface javax.xml.transform.Source

      `isEmpty`

- - ### Constructor Detail

    - #### TextValueTemplateNode

          public TextValueTemplateNode​(java.lang.String value)

  - ### Method Detail

    - #### getContentExpression

          public Expression getContentExpression()

    - #### getStaticContext

          public TextValueTemplateContext getStaticContext()

    - #### parse

          public void parse()
                     throws XPathException

      Parse any XPath expressions contained in the content of the text value template
      Throws:
        `XPathException` - if parsing of an XPath expression fails

    - #### validate

          public void validate()
                        throws XPathException

      Validate the text node; specifically, perform type checking of any contained expressions
      Throws:
        `XPathException` - if type checking finds any problems